> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Click by Transaction ID

Fetch a single click by its unique Everflow transaction ID. Returns the full click record including device info, geo data, and tracking parameters.


## OpenAPI

````yaml openapi/reporting-clicks.yaml get /networks/reporting/clicks/{transactionId}
openapi: 3.0.3
info:
  title: Everflow Network API - Click Reporting
  description: >
    Click reporting endpoints for the Everflow partner marketing platform.
    Retrieve individual click details and stream click data. For more detail,
    see [Click Report](https://helpdesk.everflow.io/customer/click-report) in
    the Help Center.
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Reporting
    description: Click reporting endpoints.
paths:
  /networks/reporting/clicks/{transactionId}:
    get:
      tags:
        - Reporting
      summary: Get Click by Transaction ID
      parameters:
        - in: path
          name: transactionId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  transaction_id:
                    type: string
                  is_unique:
                    type: integer
                  unix_timestamp:
                    type: integer
                    example: 1734455015
                  tracking_url:
                    type: string
                  source_id:
                    type: string
                  sub1:
                    type: string
                  sub2:
                    type: string
                  sub3:
                    type: string
                  sub4:
                    type: string
                  sub5:
                    type: string
                  sub6:
                    type: string
                  sub7:
                    type: string
                  sub8:
                    type: string
                  sub9:
                    type: string
                  sub10:
                    type: string
                  payout_type:
                    type: string
                  revenue_type:
                    type: string
                  payout:
                    type: number
                  revenue:
                    type: number
                  referer:
                    type: string
                  previous_network_offer_id:
                    type: integer
                  error_code:
                    type: integer
                  project_id:
                    type: string
                  user_ip:
                    type: string
                  error_message:
                    type: string
                  url:
                    type: string
                  is_view_through:
                    type: boolean
                  is_async:
                    type: boolean
                  server_side_url:
                    type: string
                  server_side_output:
                    type: string
                  custom_landing_page_id:
                    type: integer
                  is_test_mode:
                    type: boolean
                  idfa:
                    type: string
                  idfa_md5:
                    type: string
                  idfa_sha1:
                    type: string
                  google_ad_id:
                    type: string
                  google_ad_id_md5:
                    type: string
                  google_ad_id_sha1:
                    type: string
                  android_id:
                    type: string
                  android_id_md5:
                    type: string
                  android_id_sha1:
                    type: string
                  error_filter_id:
                    type: string
                  has_conversion:
                    type: boolean
                  is_pass_through:
                    type: boolean
                  creative_id:
                    type: integer
                  coupon_code:
                    type: string
                  redirect_method:
                    type: string
                  is_sdk_click:
                    type: boolean
                  category_id:
                    type: integer
                  currency_id:
                    type: string
                  relationship:
                    type: object
                    properties:
                      offer:
                        type: object
                        properties:
                          network_offer_id:
                            type: integer
                          network_id:
                            type: integer
                          network_advertiser_id:
                            type: integer
                          network_offer_group_id:
                            type: integer
                          name:
                            type: string
                          offer_status:
                            type: string
                            enum:
                              - active
                              - paused
                              - pending
                              - deleted
                          network_tracking_domain_id:
                            type: integer
                          visibility:
                            type: string
                            enum:
                              - public
                              - require_approval
                              - private
                          currency_id:
                            type: string
                      advertiser:
                        type: object
                        properties:
                          network_advertiser_id:
                            type: integer
                          network_id:
                            type: integer
                          name:
                            type: string
                          account_status:
                            type: string
                            enum:
                              - active
                              - inactive
                              - pending
                              - suspended
                      affiliate:
                        type: object
                        properties:
                          network_affiliate_id:
                            type: integer
                          network_id:
                            type: integer
                          name:
                            type: string
                          account_status:
                            type: string
                            enum:
                              - active
                              - inactive
                              - pending
                              - suspended
                          network_traffic_source_id:
                            type: integer
                      account_manager:
                        type: object
                        properties:
                          network_employee_id:
                            type: integer
                          network_id:
                            type: integer
                          first_name:
                            type: string
                          last_name:
                            type: string
                          full_name:
                            type: string
                          account_status:
                            type: string
                            enum:
                              - active
                              - inactive
                              - suspended
                              - pending
                      affiliate_manager:
                        type: object
                        properties:
                          network_employee_id:
                            type: integer
                          network_id:
                            type: integer
                          first_name:
                            type: string
                          last_name:
                            type: string
                          full_name:
                            type: string
                          account_status:
                            type: string
                            enum:
                              - active
                              - inactive
                              - suspended
                              - pending
                      geolocation:
                        type: object
                        properties:
                          country_code:
                            type: string
                          country_name:
                            type: string
                          region_code:
                            type: string
                          region_name:
                            type: string
                          city_name:
                            type: string
                          dma:
                            type: integer
                          dma_name:
                            type: string
                          timezone:
                            type: string
                          carrier_name:
                            type: string
                          carrier_code:
                            type: integer
                          organization:
                            type: string
                          isp_name:
                            type: string
                          is_mobile:
                            type: boolean
                          is_proxy:
                            type: boolean
                          postal_code:
                            type: string
                      device_information:
                        type: object
                        properties:
                          is_mobile:
                            type: boolean
                          platform_name:
                            type: string
                          os_version:
                            type: string
                          brand:
                            type: string
                          model:
                            type: string
                          is_tablet:
                            type: boolean
                          browser_name:
                            type: string
                          browser_version:
                            type: string
                          device_type:
                            type: string
                          language:
                            type: string
                          http_accept_language:
                            type: string
                          is_robot:
                            type: boolean
                          is_filter:
                            type: boolean
                      http_user_agent:
                        type: string
                      query_parameters:
                        type: object
                      redirect_url:
                        type: string
                      forensiq_score:
                        type: string
                type: object
          description: ''
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````